//
//  Scheduler.h
//  UsenetEngine
//
//  Created by Ger Teunis on 4/3/11.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Scheduler : NSObject {
@private
    bool schedulerEnabled;
    bool mondayEnabled;
    bool tuesdayEnabled;
    bool wednesdayEnabled;
    bool thursdayEnabled;
    bool fridayEnabled;
    bool saterdayEnabled;
    bool sundayEnabled;
    int fromHour;
    int fromMinute;
    int toHour;
    int toMinute;
    int speedLimitKB;
    bool pauseTransfers;
    
    bool skipSleepMacOnce;
}

@property (nonatomic) bool schedulerEnabled;
@property (nonatomic) bool mondayEnabled;
@property (nonatomic) bool tuesdayEnabled;
@property (nonatomic) bool wednesdayEnabled;
@property (nonatomic) bool thursdayEnabled;
@property (nonatomic) bool fridayEnabled;
@property (nonatomic) bool saterdayEnabled;
@property (nonatomic) bool sundayEnabled;
@property (nonatomic) int fromHour;
@property (nonatomic) int fromMinute;
@property (nonatomic) int toHour;
@property (nonatomic) int toMinute;
@property (nonatomic) int speedLimitKB;
@property (nonatomic) bool pauseTransfers;
@property (nonatomic) bool skipSleepMacOnce;

-(void)saveInDictionary:(NSMutableDictionary*)settings;
-(id)initFromDictionary:(NSDictionary*)settings;
-(bool)isInScheduledRange;
-(bool)isCurrentelyPaused;
-(int)currentSpeedLimit;

@end
